Bug 988472 - root password and timezone not set using config-drive-2 datasource
root password and timezone not set using config-drive-2 datasource
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cloud-init (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Garrett Holmstrom
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 12:17 EDT by Martin Sivák
Modified: 2015-02-17 11:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:21:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cloud init log file (101.30 KB, text/x-log)
2013-07-25 12:17 EDT, Martin Sivák
no flags Details
Messages on the terminal (45.54 KB, image/png)
2013-07-25 12:18 EDT, Martin Sivák
no flags Details

  None (edit)
Description Martin Sivák 2013-07-25 12:17:25 EDT
Created attachment 778382 [details]
Cloud init log file

Description of problem:

I followed the first test case (http://www.ovirt.org/Features/Cloud-Init_Integration) of cloud init with F19 as the host. I tried to set root pw, hostname, timezone and create a file.

Hostname was changed and the file appeared, but the root pw was not set and the VM still uses the old timezone.

Version-Release number of selected component (if applicable):

cloud-init-0.7.2-1.f19
vdsm 6bf7c5b999eed17ff602ef19e80590d3fc5c5538
engine 7d16422d22cf1995545b6a99d0fcaf9c64dc8619

How reproducible:

Follow the test case

Steps to Reproduce:
1. Install a guest with F19 and all the necessary ovirt repositories
2. install the cloud-init package there and shutdown
3. Follow the test case

Actual results:

Root password and timezone were not set, but file was created successfully and hostname was also set.

Expected results:

All works

Additional info:

There were messages printed to the console that might actually scare the user.. I am attaching the screenshot in the next comment.
Comment 1 Martin Sivák 2013-07-25 12:18:46 EDT
Created attachment 778385 [details]
Messages on the terminal
Comment 2 Martin Sivák 2013-07-25 12:20:34 EDT
Oh and another info, the F19 was not starting any network interface (except lo) by default.
Comment 3 Matthew Miller 2013-07-26 10:44:04 EDT
For clarification, this is using the RHEVm datasource, as described at http://cloudinit.readthedocs.org/en/latest/topics/datasources.html#rhevm?

Or something else? I think it would help to be a little more clear.
Comment 4 Martin Sivák 2013-07-26 11:14:30 EDT
You are right, I was set using oVirt engine and VDSM. I supposed a link to the oVirt Feature page with described Test case would be enough though.
Comment 5 Greg Padgett 2013-07-26 11:20:37 EDT
Internally the oVirt cloud-init integration uses the config-drive-v2 data source.
Comment 6 Fedora End Of Life 2015-01-09 14:05:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:21:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.